Name:		automake-gcc-compat
Version:	1.11.6
Release:	2%{?dist}
Summary:	A GNU tool for automatically creating Makefiles

License:	GPLv3+
URL:		https://www.gnu.org/software/automake/
Source0:	http://ftp.gnu.org/gnu/automake/automake-1.11.6.tar.xz

BuildArch:	noarch

# Copied from F23 automake.spec
Requires:	autoconf-gcc-compat = 2.64
Requires:	perl(Thread::Queue)
Requires:	perl(threads)
BuildRequires:	perl-macros
BuildRequires:	perl(Thread::Queue)
BuildRequires:	autoconf >= 2.68
BuildRequires:	automake
BuildRequires:	help2man

Patch1:         automake-1.11.6-escape-brace.patch

%description
Automake is a tool for automatically generating `Makefile.in'
files compliant with the GNU Coding Standards.

Automake version %{version} is required for GCC development.

%global debug_package %{nil}

%prep
%setup -q -n automake-%{version}
%patch1 -p1
autoreconf -iv

%build
echo $PATH
./configure --prefix=/opt/autotools-gcc --program-suffix=_
make %{?_smp_mflags}


%install
%make_install
mkdir -m 755 ${RPM_BUILD_ROOT}/opt/autotools-gcc/share/aclocal
ln -s autoconf ${RPM_BUILD_ROOT}/opt/autotools-gcc/bin/automake
ln -s autoconf ${RPM_BUILD_ROOT}/opt/autotools-gcc/bin/aclocal
ln -s autoconf ${RPM_BUILD_ROOT}/opt/autotools-gcc/bin/autom4te

%files
/opt/autotools-gcc/bin/*
/opt/autotools-gcc/share/aclocal
/opt/autotools-gcc/share/aclocal-1.11/*
/opt/autotools-gcc/share/automake-1.11/*
%exclude /opt/autotools-gcc/share/doc
%exclude /opt/autotools-gcc/share/info
%exclude /opt/autotools-gcc/share/man

%changelog
* Mon Jan 22 2018 Jonathan Wakely <jwakely@redhat.com> - 1.11.6-2
- Patch invalid regex

* Wed Jan 06 2016 Jonathan Wakely <jwakely@redhat.com> 1.11.6-1
- Initial package.
